#include "abstractfieldwidget.h"
#include <QDebug>
AbstractFieldWidget::AbstractFieldWidget(QWidget *parent):
        QWidget(parent)
{


    mCurrentState=STATE_EMPTY;


}

void AbstractFieldWidget::setWidget(QWidget * widget)
{
    QHBoxLayout * layout = new QHBoxLayout;
    layout->addWidget(widget);
    setLayout(layout);
    mWidget = widget;
}

void AbstractFieldWidget:: setState(int state)
{
    mCurrentState = state;
    emit stateChanged();
}

void AbstractFieldWidget::toogleState()
{
    int state = mCurrentState;
    if ( state < STATE_LENGTH-2)
        state++;
    else
        state=STATE_EMPTY;

    setState(state);
}
