#ifndef GOOGLEADRESSFIELDWIDGET_H
#define GOOGLEADRESSFIELDWIDGET_H
#include "abstractfieldwidget.h"
#include <QHttp>
#include <QMovie>
#include <QLineEdit>
#include <QCompleter>
#include <QLabel>
#include <QFrame>
#include <QListView>
#include "googlemapmodel.h"


class GoogleAdressFieldWidget : public AbstractFieldWidget
{
    Q_OBJECT
public:
    explicit GoogleAdressFieldWidget(QWidget *parent = 0);
    void setValue(QVariant value);
    QVariant value();
signals:
void done();
public slots:
    void changeModel( );
private:

    QLineEdit *mLineEdit;
    QListView * view;
    GoogleMapModel*model;
    QFrame* popup1;
    QCompleter * completer;
};

#endif // GOOGLEADRESSFIELDWIDGET_H
